Page MenuHomePhabricator

$wgNamespaceAliases for sh.wikipedia.org
Closed, ResolvedPublic

Description

The users on sh.wikipedia.org reached a
consensus about the need for namespace (see URL):

https://sh.wikipedia.org/wiki/Wikipedia:Pijaca-%D0%9F%D0%B8%D1%98%D0%B0%D1%86%D0%B0#Kanonska_imena_imenskih_prostora_na_srpskohrvatskoj_Wikipediji

$wgNamespaceAliases['Корисник'] = NS_USER;
$wgNamespaceAliases['Разговор_са_корисником'] = NS_USER_TALK;
$wgNamespaceAliases['Suradnik'] = NS_USER;
$wgNamespaceAliases['Razgovor_sa_suradnikom'] = NS_USER_TALK;
$wgNamespaceAliases['WP'] = NS_PROJECT;
$wgNamespaceAliases['VP'] = NS_PROJECT;
$wgNamespaceAliases['ВП'] = NS_PROJECT;
$wgNamespaceAliases['Wikipedija'] = NS_PROJECT;
$wgNamespaceAliases['Razgovor_Wikipedija'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Википедија'] = NS_PROJECT;
$wgNamespaceAliases['Разговор о Википедији'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Slika'] = NS_FILE;
$wgNamespaceAliases['Razgovor o slici'] = NS_FILE_TALK;
$wgNamespaceAliases['Слика'] = NS_FILE;
$wgNamespaceAliases['Разговор_о_слици'] = NS_FILE_TALK;
$wgNamespaceAliases['Датотека'] = NS_FILE;
$wgNamespaceAliases['Разговор_о_датотеци'] = NS_FILE_TALK;
$wgNamespaceAliases['Medijaviki'] = NS_MEDIAWIKI;
$wgNamespaceAliases['Razgovor_o_Medijavikiju'] = NS_MEDIAWIKI_TALK;
$wgNamespaceAliases['Медијавики'] = NS_MEDIAWIKI;
$wgNamespaceAliases['Разговор_о_Медијавикију'] = NS_MEDIAWIKI_TALK;
$wgNamespaceAliases['Шаблон'] = NS_TEMPLATE;
$wgNamespaceAliases['Разговор_о_шаблону'] = NS_TEMPLATE_TALK;
$wgNamespaceAliases['Predložak'] = NS_TEMPLATE;
$wgNamespaceAliases['Razgovor_o_predlošku'] = NS_TEMPLATE_TALK;
$wgNamespaceAliases['Помоћ'] = NS_HELP;
$wgNamespaceAliases['Разговор_о_помоћи'] = NS_HELP_TALK;
$wgNamespaceAliases['Категорија'] = NS_CATEGORY;
$wgNamespaceAliases['Разговор_о_Категорији'] = NS_CATEGORY_TALK;
$wgNamespaceAliases['Портал'] = NS_PORTAL;
$wgNamespaceAliases['Разговор_о_порталу'] = NS_PORTAL_TALK;

The voting was opened for 5 dayas (20.09 - 25.09) and nobody oposed to this. 11
users supported canonical names for sh.wikipedia.org, very high support.

Regards! Kolega2357


Version: unspecified
Severity: enhancement
URL: https://sh.wikipedia.org/wiki/Wikipedia:Pijaca-%D0%9F%D0%B8%D1%98%D0%B0%D1%86%D0%B0/15#Kanonska_imena_imenskih_prostora_na_srpskohrvatskoj_Wikipediji

Details

Reference
bz56169

Event Timeline

bzimport raised the priority of this task from to Lowest.
bzimport set Reference to bz56169.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Oct 25 2013, 4:56 PM

Should any of these be be brought into the sh language files for any sh language wikis?

I am not sure whether I good place a bug.

(In reply to comment #2)

I am not sure whether I good place a bug.

That's already been fixed by Sam, and we can take it from this point forward, so let's don't worry about that and focus on different things.

I'm not sure what is the purpose of the list placed in comment 0; are these all supposed to be aliases available only for sh.wikipedia, or should at least some of them be added to https://doc.wikimedia.org/mediawiki-core/REL1_20/php/html/MessagesSh_8php_source.html ? (I notice there are some significant differences between how namespaces are named in this file and in your list; perhaps you should also address that.)

That would be a lot of aliases to add, and I'm not sure what's the best way forward considering the various complexities around the Serbo-Croatian language.

I'd generally assume that some of the names you gave in comment 0 should be defined in $wgSitename or $wgMetaNamespace (for instance), some moved to MessagesSh.php, and others added as local aliases in our config files.

Can we get more people to have a look at this request and help us figure it out?

Community does not ask to change the names of namespaceses. To do work as the English Wikipedia. http://tinypic.com/usermedia.php?uo=a6BMdyuA%2FVw%2BcT5vW2kQ9oh4l5k2TGxc#.UmuOfxDlOyu

For sh.wikipedia.org should be like this in InitialiseSettings.php:

'+shwiki' => array(

		'Корисник' => NS_USER,
		'Разговор_са_корисником' => NS_USER_TALK,
                'Suradnik' => NS_USER,
		'Razgovor_sa_suradnikom' => NS_USER_TALK,
                'WP' => NS_PROJECT,
                'VP' => NS_PROJECT,
                'ВП' => NS_PROJECT,
                'Wikipedija' => NS_PROJECT,
                'Vikipedija' => NS_PROJECT,
                'Википедија' => NS_PROJECT,
                'Razgovor Wikipedija' => NS_PROJECT_TALK,
                'Razgovor o Wikipediji' => NS_PROJECT_TALK,
                'Slika' => NS_FILE,
                'Razgovor o slici' => NS_FILE_TALK,
                'Слика' => NS_FILE,
                'Разговор о слици' =>  NS_FILE_TALK,
                'Medijaviki' =>  NS_MEDIAWIKI,
                'Razgovor o Medijavikiju' =>  NS_MEDIAWIKI_TALK,
                'Медијавики' =>  NS_MEDIAWIKI,
                'Разговор о Медијавикију' =>  NS_MEDIAWIKI_TALK,
                'Шаблон' =>  NS_TEMPLATE,
                'Разговор о шаблону' =>  NS_TEMPLATE_TALK,
                'Predložak' =>  NS_TEMPLATE,
                'Razgovor o predlošku' =>  NS_TEMPLATE_TALK,
                'Помоћ' =>  NS_HELP,
                'Разговор о помоћи' =>  NS_HELP_TALK,
                'Категорија' =>  NS_CATEGORY,
                'Разговор о Категорији' =>  NS_CATEGORY_TALK,
                'Портал' =>  NS_PORTAL,
                'Разговор о порталу' =>  NS_PORTAL_TALK,

),

Regards! Kolega2357

(In reply to comment #4)

Community does not ask to change the names of namespaceses. To do work as the
English Wikipedia.
http://tinypic.com/usermedia.php?uo=a6BMdyuA%2FVw%2BcT5vW2kQ9oh4l5k2TGxc#.
UmuOfxDlOyu

The question was whether these should be enabled only on shwiki or on all Serbo-Croatian projects (not Wikimedia-specific).

My guess is that all except NS_PROJECT and NS_PROJECT_TALK aliases are good on all sh-language wikis. Could you provide the translation of "Project" in both scripts?

(In reply to comment #5)

(In reply to comment #4)
> Community does not ask to change the names of namespaceses. To do work as the
> English Wikipedia.
> http://tinypic.com/usermedia.php?uo=a6BMdyuA%2FVw%2BcT5vW2kQ9oh4l5k2TGxc#.
> UmuOfxDlOyu
>
The question was whether these should be enabled only on shwiki or on all
Serbo-Croatian projects (not Wikimedia-specific).

My guess is that all except NS_PROJECT and NS_PROJECT_TALK aliases are good
on
all sh-language wikis. Could you provide the translation of "Project" in both
scripts?

Actually, I guess the Project translations are not needed, as you just use the site name.

The canonical name should be activated only on Serbo-Croatian Wikipedia. "Project" namespace should not be renamed.

This bug is a little unclear. Clarifying it might cause it to be moved along faster:

*Some of the time the word "alias" is used, other times the phrase "canonical namespace". These are two separate concepts in MediaWiki, that do different things. An alias is like a short cut to a namespace (Like how [[Project:About]] points to the page [[Wikipedia:About]] on english wikipedia. The namespace name, is the text of the namespace actually shown to the user. (On english Wikipedia, "Wikipedia" is the name of the wikipedia namespace)

*Its unclear why these namespaces should not apply to non-wikimedia sh projects. If they are just Cyrillic versions of latin namespace names, then they would be useful everywhere. This should be clarified.

To do work as has been work for English Wikipedia in InitialiseSettings.php. Example: http://tinypic.com/usermedia.php?uo=a6BMdyuA%2FVw%2BcT5vW2kQ9oh4l5k2TGxc#.UnrJ_OKmayv

I was wrong it is wgNamespaceAliases.

Will this be done for Serbo-Croatian Wikipedia?

When will be to resolved this bug?

When comment 8 got answered sufficiently.

(In reply to Andre Klapper from comment #12)

When comment 8 got answered sufficiently.

Wikipedia namespace is standard namespace on Serbo-Croatian Wikipedia.

(In reply to Bawolff (Brian Wolff) from comment #8)

This bug is a little unclear. Clarifying it might cause it to be moved along
faster:

*Some of the time the word "alias" is used, other times the phrase
"canonical namespace". These are two separate concepts in MediaWiki, that do
different things. An alias is like a short cut to a namespace (Like how
[[Project:About]] points to the page [[Wikipedia:About]] on english
wikipedia. The namespace name, is the text of the namespace actually shown
to the user. (On english Wikipedia, "Wikipedia" is the name of the wikipedia
namespace)

*Its unclear why these namespaces should not apply to non-wikimedia sh
projects. If they are just Cyrillic versions of latin namespace names, then
they would be useful everywhere. This should be clarified.

I am sorry my error. I am thinking on $wgNamespaceAliases.

http://prntscr.com/30fuxo and http://prntscr.com/30fv37 go into to MediaWiki and Wikipedia, Only go into Wikipedia http://prntscr.com/30fvfd

I forgot to add: 'Разговор о Википедији' => NS_PROJECT_TALK, go into to Wikipedia.

Change 118654 had a related patch set uploaded by Gerrit Patch Uploader:
Add namespace aliases for shwiki

https://gerrit.wikimedia.org/r/118654

(In reply to Kolega2357 from comment #15)

http://prntscr.com/30fuxo and http://prntscr.com/30fv37 go into to MediaWiki
and Wikipedia, Only go into Wikipedia http://prntscr.com/30fvfd

I forgot to add: 'Разговор о Википедији' => NS_PROJECT_TALK, go into to
Wikipedia.

So, which are for Wikipedia, which are for MediaWiki?

(In reply to PiRSquared17 from comment #17)

(In reply to Kolega2357 from comment #15)
> http://prntscr.com/30fuxo and http://prntscr.com/30fv37 go into to MediaWiki
> and Wikipedia, Only go into Wikipedia http://prntscr.com/30fvfd
>
> I forgot to add: 'Разговор о Википедији' => NS_PROJECT_TALK, go into to
> Wikipedia.

So, which are for Wikipedia, which are for MediaWiki?

No for MediaWiki. Only for Wikipedia.

Change 118656 had a related patch set uploaded by Gerrit Patch Uploader:
Add namespace aliases for Serbo-Croatian (sh)

https://gerrit.wikimedia.org/r/118656

Siebrand: should these be added for Wikipedia or core?

Why is not activated $wgNamespaceAliases?

Because it's unclear how it should be done? (see comment 20)

(In reply to jeremyb from comment #22)

Because it's unclear how it should be done? (see comment 20)

What is the unclear?

$wgNamespaceAliases['WP'] = NS_PROJECT;
$wgNamespaceAliases['VP'] = NS_PROJECT;
$wgNamespaceAliases['ВП'] = NS_PROJECT;
$wgNamespaceAliases['Wikipedija'] = NS_PROJECT;
$wgNamespaceAliases['Razgovor_Wikipedija'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Википедија'] = NS_PROJECT;
$wgNamespaceAliases['Разговор о Википедији'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Портал'] = NS_PORTAL;
$wgNamespaceAliases['Разговор_о_порталу'] = NS_PORTAL_TALK;

Go only to Wikipedia.

$wgNamespaceAliases['Slika'] = NS_FILE;
$wgNamespaceAliases['Razgovor o slici'] = NS_FILE_TALK;
$wgNamespaceAliases['Слика'] = NS_FILE;
$wgNamespaceAliases['Разговор_о_слици'] = NS_FILE_TALK;
$wgNamespaceAliases['Датотека'] = NS_FILE;
$wgNamespaceAliases['Разговор_о_датотеци'] = NS_FILE_TALK;
$wgNamespaceAliases['Medijaviki'] = NS_MEDIAWIKI;
$wgNamespaceAliases['Razgovor_o_Medijavikiju'] = NS_MEDIAWIKI_TALK;
$wgNamespaceAliases['Медијавики'] = NS_MEDIAWIKI;
$wgNamespaceAliases['Разговор_о_Медијавикију'] = NS_MEDIAWIKI_TALK;
$wgNamespaceAliases['Шаблон'] = NS_TEMPLATE;
$wgNamespaceAliases['Разговор_о_шаблону'] = NS_TEMPLATE_TALK;
$wgNamespaceAliases['Predložak'] = NS_TEMPLATE;
$wgNamespaceAliases['Razgovor_o_predlošku'] = NS_TEMPLATE_TALK;
$wgNamespaceAliases['Помоћ'] = NS_HELP;
$wgNamespaceAliases['Разговор_о_помоћи'] = NS_HELP_TALK;
$wgNamespaceAliases['Категорија'] = NS_CATEGORY;
$wgNamespaceAliases['Разговор_о_Категорији'] = NS_CATEGORY_TALK;
$wgNamespaceAliases['Портал'] = NS_PORTAL;
$wgNamespaceAliases['Разговор_о_порталу'] = NS_PORTAL_TALK;

Go only to MediaWiki core.

I think it is now clearly to everyone.

(In reply to Kolega2357 from comment #24)

[...]
Go only to MediaWiki core.

For those, nothing to do here as you were already told (#mediawiki.log:2014-02-08 20.38 < bawolff> Kolega2357: Do it at translatewiki.net):

(In reply to Nemo from comment #25)

(In reply to Kolega2357 from comment #24)
> [...]
> Go only to MediaWiki core.

For those, nothing to do here as you were already told
(#mediawiki.log:2014-02-08 20.38 < bawolff> Kolega2357: Do it at
translatewiki.net):

https://translatewiki.net/w/i.php?language=sh&module=namespace&title=Special%3AAdvancedTranslate This is OK, it should not be changed.

(In reply to Kolega2357 from comment #24)

$wgNamespaceAliases['WP'] = NS_PROJECT;
$wgNamespaceAliases['VP'] = NS_PROJECT;
$wgNamespaceAliases['ВП'] = NS_PROJECT;

Not in use and nobody explicitly supporting, can we refrain?

$wgNamespaceAliases['Wikipedija'] = NS_PROJECT;
$wgNamespaceAliases['Razgovor_Wikipedija'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Википедија'] = NS_PROJECT;
$wgNamespaceAliases['Разговор о Википедији'] = NS_PROJECT_TALK;
$wgNamespaceAliases['Портал'] = NS_PORTAL;
$wgNamespaceAliases['Разговор_о_порталу'] = NS_PORTAL_TALK;

For this there was consensus it seems, one user apparently finds it useful to avoid explicit redirects from cyrillic to latin script. However, only one redirect is found under these prefixes (Wikipedija: , specifically).

This wiki has always been a bit "special"... https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Serbo-Croatian doesn't contain a specific approval and came before the languge policy, so no specific script was approved/specified by LangCom.

So, these aliases are both very non-standard and currently useless, but arguing over them is not worth my time.

(In reply to Nemo from comment #27)

(In reply to Kolega2357 from comment #24)
> $wgNamespaceAliases['WP'] = NS_PROJECT;
> $wgNamespaceAliases['VP'] = NS_PROJECT;
> $wgNamespaceAliases['ВП'] = NS_PROJECT;

Not in use and nobody explicitly supporting, can we refrain?

> $wgNamespaceAliases['Wikipedija'] = NS_PROJECT;
> $wgNamespaceAliases['Razgovor_Wikipedija'] = NS_PROJECT_TALK;
> $wgNamespaceAliases['Википедија'] = NS_PROJECT;
> $wgNamespaceAliases['Разговор о Википедији'] = NS_PROJECT_TALK;
> $wgNamespaceAliases['Портал'] = NS_PORTAL;
> $wgNamespaceAliases['Разговор_о_порталу'] = NS_PORTAL_TALK;

For this there was consensus it seems, one user apparently finds it useful
to avoid explicit redirects from cyrillic to latin script. However, only one
redirect is found under these prefixes (Wikipedija: , specifically).

This wiki has always been a bit "special"...
https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Serbo-
Croatian doesn't contain a specific approval and came before the languge
policy, so no specific script was approved/specified by LangCom.

So, these aliases are both very non-standard and currently useless, but
arguing over them is not worth my time.

Wikipedija is second name of Project namespace.

Kolega: Please answer ALL questions otherwise things will take even longer...

(In reply to Nemo from comment #27)

Not in use and nobody explicitly supporting, can we refrain?

(In reply to Andre Klapper from comment #29)

Kolega: Please answer ALL questions otherwise things will take even longer...

(In reply to Nemo from comment #27)
> Not in use and nobody explicitly supporting, can we refrain?

I want to answer to the all questions.

(In reply to Kolega2357 from comment #30)

I want to answer to the all questions.

Please just do it, instead of announcing that you will answer. :)

(In reply to Andre Klapper from comment #31)

(In reply to Kolega2357 from comment #30)
> I want to answer to the all questions.

Please just do it, instead of announcing that you will answer. :)

OK. When will this be done for sh wikipedia?

(In reply to Kolega2357 from comment #32)

OK. When will this be done for sh wikipedia?

I don't know when you will be done answering the open question for sh wikipedia. You should know best when you plan to answer questions that you were asked.

Change 118656 abandoned by Hoo man:
Add namespace aliases for Serbo-Croatian (sh)

Reason:
Per author request

https://gerrit.wikimedia.org/r/118656

Translatewiki.net is that way ->

Suggest WONTFIX

(In reply to TeleComNasSprVen from comment #35)

Translatewiki.net is that way ->

Suggest WONTFIX

I am not agree with you. https://translatewiki.net/wiki/Special:Undelete/Thread:User_talk:Nemo_bis/sh.wikipedia.org

(In reply to Kolega2357 from comment #36)

https://translatewiki.net/wiki/Special:Undelete/Thread:User_talk:Nemo_bis/sh.
wikipedia.org

"You do not have permission to view this page's deleted history" hence no idea what you want to express by this link.

(In reply to Andre Klapper from comment #37)

(In reply to Kolega2357 from comment #36)
> https://translatewiki.net/wiki/Special:Undelete/Thread:User_talk:Nemo_bis/sh.
> wikipedia.org

"You do not have permission to view this page's deleted history" hence no
idea what you want to express by this link.

My post deleted by Nemo bis.

(In reply to Kolega2357 from comment #38)

My post deleted by Nemo bis.

I don't really care what happened, I'd rather care what your point is or was...

(In reply to Andre Klapper from comment #39)

(In reply to Kolega2357 from comment #38)
> My post deleted by Nemo bis.

I don't really care what happened, I'd rather care what your point is or
was...

http://prntscr.com/3f9m00

I don't know what's the intention that a screenshot of a deleted discussion on some wikipage was added and how it is relevant for this ticket at all, and I'm afraid I don't care too much anymore, because this discussion is becoming endless (and that's not an isolated problem, cf. bug 61380 for example).
It wastes time of people CC'ed (if they don't ignore this ticket already).

14 comments have been added since the reporter was asked questions in comment 27 which still have not been answered. Every comment creates bugmail that people receive and read (in theory).

So I'm also proposing WONTFIX for this ticket as per comment 35, as the reporter has repeatedly ignored questions directed to him/her.
Effective communication unfortunately seems to be very difficult here.

(In reply to Andre Klapper from comment #41)

I don't know what's the intention that a screenshot of a deleted discussion
on some wikipage was added and how it is relevant for this ticket at all,
and I'm afraid I don't care too much anymore, because this discussion is
becoming endless (and that's not an isolated problem, cf. bug 61380 for
example).
It wastes time of people CC'ed (if they don't ignore this ticket already).

14 comments have been added since the reporter was asked questions in
comment 27 which still have not been answered. Every comment creates bugmail
that people receive and read (in theory).

So I'm also proposing WONTFIX for this ticket as per comment 35, as the
reporter has repeatedly ignored questions directed to him/her.
Effective communication unfortunately seems to be very difficult here.

I am answered you several times but you dont understand me.

(In reply to Kolega2357 from comment #42)

I am answered you several times but you dont understand me.

Where exactly did you answer "Not in use and nobody explicitly supporting, can we refrain?" from comment 27? Please show.

(In reply to Andre Klapper from comment #43)

(In reply to Kolega2357 from comment #42)
> I am answered you several times but you dont understand me.

Where exactly did you answer "Not in use and nobody explicitly supporting,
can we refrain?" from comment 27? Please show.

Comment 27 is not true.

WHAT is not true? That it's "Not in use"? That "nobody explicitly supporting"?
Please provide a reference for your statement and be clear. We all waste time here due to vagueness.

(In reply to Andre Klapper from comment #45)

WHAT is not true? That it's "Not in use"? That "nobody explicitly
supporting"?
Please provide a reference for your statement and be clear. We all waste
time here due to vagueness.

Please have some understanding for a non-English native speaker requesting a change in a, for him, foreign language here on bugzilla. Imagine you had to request a change in Serbian language without sufficient knowledge of it and the reactions would be as impatient as here. I am going to try to explain this user what was exactly asked here and hopefully there will also be a clearer answer. Thank you.

(In reply to Vogone from comment #46)

(In reply to Andre Klapper from comment #45)
> WHAT is not true? That it's "Not in use"? That "nobody explicitly
> supporting"?
> Please provide a reference for your statement and be clear. We all waste
> time here due to vagueness.

Please have some understanding for a non-English native speaker requesting a
change in a, for him, foreign language here on bugzilla. Imagine you had to
request a change in Serbian language without sufficient knowledge of it and
the reactions would be as impatient as here. I am going to try to explain
this user what was exactly asked here and hopefully there will also be a
clearer answer. Thank you.

Would it be okay to proceed without ($wgNamespaceAliases['WP'] = NS_PROJECT; $wgNamespaceAliases['VP'] = NS_PROJECT; $wgNamespaceAliases['ВП'] = NS_PROJECT for now?

(In reply to Vogone from comment #46)

I am going to try to explain this user what was exactly asked here

Thanks for your help! I disagree on the impression that people have been impatient here though, in contrary.

tomasz removed a project: Shell.Feb 23 2015, 7:44 PM
tomasz set Security to None.

Change 118654 had a related patch set uploaded (by Dzahn):
Add namespace aliases for shwiki

https://gerrit.wikimedia.org/r/118654

Change 118654 merged by jenkins-bot:
Add namespace aliases for shwiki

https://gerrit.wikimedia.org/r/118654

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 22 2015, 11:40 PM
Krenair added a subscriber: Krenair.

Done. Anything else left to do here?

Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.Sep 18 2015, 2:12 PM
Dereckson closed this task as Resolved.Oct 7 2015, 3:12 PM
Dereckson claimed this task.
Dereckson reassigned this task from Dereckson to PiRSquared17.